commit:     5910e97dde740e53b9c8ad204d621505d774ca1a
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 23 12:58:08 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu Feb 23 12:58:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5910e97d

dev-python/rpy: add 3.5.8

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/rpy/Manifest         |  1 +
 dev-python/rpy/metadata.xml     |  1 +
 dev-python/rpy/rpy-3.5.8.ebuild | 45 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 47 insertions(+)

diff --git a/dev-python/rpy/Manifest b/dev-python/rpy/Manifest
index 3e76efd18ebc..14f90ff93c72 100644
--- a/dev-python/rpy/Manifest
+++ b/dev-python/rpy/Manifest
@@ -1 +1,2 @@
 DIST rpy2-3.5.5.tar.gz 210255 BLAKE2B 
b26aa4830f10b69ad8a9b21df14784203f77ea35b403a5b9d6135680ab47b47edbc480e3dbfcc469ffd523262c977c9a78e3597e467f5ccb3643c66a8a49b94e
 SHA512 
47ce62851ec5385e3d8da947bb30cb71bf28fdba5891ec729f227313aa3863a2fa7be9ec3b7b2fffa4c09ebae131d15a8723f796c85406e5c19ea4a480f8e653
+DIST rpy2-3.5.8.tar.gz 214245 BLAKE2B 
70d6b1e07df3fb6936898ab1353f134a4184ce611486c3da875ca7b562ec9a60bde9657869807aab969ccf515a32cf2a3767704e8ed8ab8b8977b9ac15745033
 SHA512 
e0781aeea4e483e60c2e54322bc577e5314627c6ef881387af6011e5ef3c08b4ee1be16bcbeba9083dcd0758655fc83a1ff474a3e05291745f85d94a70437521

diff --git a/dev-python/rpy/metadata.xml b/dev-python/rpy/metadata.xml
index 27e08f6c2612..911089995fb4 100644
--- a/dev-python/rpy/metadata.xml
+++ b/dev-python/rpy/metadata.xml
@@ -13,5 +13,6 @@
   </longdescription>
   <upstream>
     <remote-id type="pypi">rpy2</remote-id>
+    <remote-id type="sourceforge">rpy</remote-id>
   </upstream>
 </pkgmetadata>

diff --git a/dev-python/rpy/rpy-3.5.8.ebuild b/dev-python/rpy/rpy-3.5.8.ebuild
new file mode 100644
index 000000000000..fd916d1fc2b5
--- /dev/null
+++ b/dev-python/rpy/rpy-3.5.8.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_REQ_USE="sqlite"
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1 pypi virtualx
+
+MYSLOT=2
+MY_PN=${PN}${MYSLOT}
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="Python interface to the R Programming Language"
+HOMEPAGE="
+       https://rpy.sourceforge.io/
+       https://pypi.org/project/rpy2/
+"
+SRC_URI="$(pypi_sdist_url rpy2)"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="AGPL-3 GPL-2 LGPL-2.1 MPL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# ggplot2 is a test dep but not in ::gentoo atm
+RESTRICT="test"
+
+RDEPEND="
+       >=dev-lang/R-3.2
+       dev-python/cffi[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       >=dev-python/pandas-0.13.1[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/tzlocal[${PYTHON_USEDEP}]
+"
+PDEPEND="dev-python/ipython[${PYTHON_USEDEP}]"
+
+python_test() {
+       cd "${BUILD_DIR}"/lib || die
+       virtx "${EPYTHON}" -m 'rpy2.tests'
+}

Reply via email to